﻿using Hotline.Share.Dtos.TrCallCenter;

namespace Hotline.Application.CallCenter.Calls
{
    public interface ITrApplication
    {
        /// <summary>
        /// 签入
        /// </summary>
        /// <param name="telNo"></param>
        /// <returns></returns>
        Task<TrOnDutyResponseDto> OnSign(string userId,string telNo, CancellationToken cancellationToken);

        /// <summary>
        /// 查询当前用户的分机状态
        /// </summary>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<TrOnDutyResponseDto> TelState(string userId, CancellationToken cancellationToken);


        /// <summary>
        /// 切换状态
        /// </summary>
        /// <param name="userId"></param>
        /// <param name="isCallOut"></param>
        /// <returns></returns>
        Task ChangeTelModel(string userId, bool isCallOut, CancellationToken cancellationToken);
    }
}
